commit 8f88e1bc14deebb9fab160d3fb72ec9bfd1de7fe
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Jul 17 02:21:55 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index c02c887d37e..fc3196f0a51 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250716
+20250717
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 12ead9dfc79..0bc582b384c 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,12 @@
+2025-07-16  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2025-07-16  Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/121060
+	* interface.cc (matching_typebound_op): Defer determination of
+	specific procedure until resolution by returning NULL.
+
 2025-05-25  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 217018de03e..02dd9ee62b5 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-07-16  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2025-07-16  Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/121060
+	* gfortran.dg/associate_75.f90: New test.
+
 2025-07-03  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:

